Bug 445819 - Discover crashes when I open the description page of a flatpak while it is removed
Summary: Discover crashes when I open the description page of a flatpak while it is re...
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.23.3
Platform: Archlinux Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-20 16:02 UTC by Patrick Silva
Modified: 2021-11-29 16:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2021-11-20 16:02:04 UTC
STEPS TO REPRODUCE
1. open Discover
2. click on 'Applications' in the sidebar
3. find an installed flatpak and click on its 'Remove' button
4. click on the flatpak app while Discover removes it

OBSERVED RESULT
Discover crashes

EXPECTED RESULT
no crash

SOFTWARE/OS VERSIONS
Operating System: Arch Linux
KDE Plasma Version: 5.23.3
KDE Frameworks Version: 5.88.0
Qt Version: 5.15.2
Graphics Platform: Wayland



Thread 13 (Thread 0x7f904e093640 (LWP 39212)):
#0  0x00007f905d9aa89c in read () at /usr/lib/libc.so.6
#1  0x00007f905c70d8d5 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c7616cd in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f905c70ac12 in  () at /usr/lib/libglib-2.0.so.0
#5  0x00007f905c73bce1 in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#7  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 12 (Thread 0x7f904fd08640 (LWP 39211)):
#0  0x00007f905c75b504 in g_mutex_unlock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f905c70d082 in g_main_context_prepare () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c761646 in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f905dfb109f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9044000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f905df56d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f904fd07a60, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#6  0x00007f905dd6be52 in QThread::exec() (this=this@entry=0x564aae197040) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f905ebfc509 in QQmlThreadPrivate::run() (this=0x564aae197040) at /usr/src/debug/qtdeclarative/src/qml/qml/ftw/qqmlthread.cpp:155
#8  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564aae197040) at thread/qthread_unix.cpp:329
#9  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#10 0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 11 (Thread 0x7f9033346640 (LWP 39221)):
#0  0x00007f905c75b504 in g_mutex_unlock () at /usr/lib/libglib-2.0.so.0
#1  0x00007f905c761799 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905dfb109f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9024000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f905df56d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9033345a80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#5  0x00007f905dd6be52 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564aae26c920) at thread/qthread_unix.cpp:329
#7  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 10 (Thread 0x7f900d24f640 (LWP 39234)):
#0  0x00007f905d9aa89c in read () at /usr/lib/libc.so.6
#1  0x00007f905c70d8d5 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c7616cd in  () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#4  0x00007f905dfb109f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f8fe0752050, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f905df56d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f900d24ea80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#6  0x00007f905dd6be52 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564ab26536e0) at thread/qthread_unix.cpp:329
#8  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 9 (Thread 0x7f9055c1b640 (LWP 39210)):
#0  0x00007f905d1bc8ca in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007f905d1b6270 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#2  0x00007f9055ffa32c in  () at /usr/lib/dri/i965_dri.so
#3  0x00007f9055ff9d88 in  () at /usr/lib/dri/i965_dri.so
#4  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#5  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 8 (Thread 0x7f900ca4e640 (LWP 39246)):
#0  0x00007f905c70d7e6 in g_main_context_check () at /usr/lib/libglib-2.0.so.0
#1  0x00007f905c7616cd in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905dfb109f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f90380026a0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f905df56d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f900ca4da80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#5  0x00007f905dd6be52 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564ab3156f30) at thread/qthread_unix.cpp:329
#7  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 7 (Thread 0x7f901bfff640 (LWP 39331)):
#0  0x00007f905d9aeb2f in poll () at /usr/lib/libc.so.6
#1  0x00007f905c761729 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c70ca63 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905c337302 in g_dbus_connection_send_message_with_reply_sync () at /usr/lib/libgio-2.0.so.0
#4  0x00007f905c344bcd in  () at /usr/lib/libgio-2.0.so.0
#5  0x00007f9031959a8d in  () at /usr/lib/libflatpak.so.0
#6  0x00007f903198747b in  () at /usr/lib/libflatpak.so.0
#7  0x00007f90319b678d in  () at /usr/lib/libflatpak.so.0
#8  0x00007f9031a527bf in FlatpakTransactionThread::run() (this=0x564ab7e3c0a0) at /usr/src/debug/discover-5.23.3/libdiscover/backends/FlatpakBackend/FlatpakTransactionThread.cpp:142
#9  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564ab7e3c0a0) at thread/qthread_unix.cpp:329
#10 0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#11 0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 6 (Thread 0x7f9033ba1640 (LWP 39220)):
#0  0x00007f905d9aeb2f in poll () at /usr/lib/libc.so.6
#1  0x00007f905c761729 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905dfb109f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f902c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f905df56d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9033ba0a80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#5  0x00007f905dd6be52 in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564aae4a9d50) at thread/qthread_unix.cpp:329
#7  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#8  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 5 (Thread 0x7f904d02d640 (LWP 39215)):
#0  0x00007f905d9b418d in syscall () at /usr/lib/libc.so.6
#1  0x00007f905c75b4ed in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c429f30 in  () at /usr/lib/libgobject-2.0.so.0
#3  0x00007f905c4318cb in g_signal_handler_disconnect () at /usr/lib/libgobject-2.0.so.0
#4  0x00007f905c2860e6 in  () at /usr/lib/libgio-2.0.so.0
#5  0x00007f905c70b8e3 in  () at /usr/lib/libglib-2.0.so.0
#6  0x00007f905c70badb in  () at /usr/lib/libglib-2.0.so.0
#7  0x00007f905c70d470 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#8  0x00007f905c761799 in  () at /usr/lib/libglib-2.0.so.0
#9  0x00007f905c70ca63 in g_main_loop_run () at /usr/lib/libglib-2.0.so.0
#10 0x00007f905c347268 in  () at /usr/lib/libgio-2.0.so.0
#11 0x00007f905c73bce1 in  () at /usr/lib/libglib-2.0.so.0
#12 0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#13 0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 4 (Thread 0x7f9058142640 (LWP 39209)):
#0  0x00007f905d9aeb2f in poll () at /usr/lib/libc.so.6
#1  0x00007f905c761729 in  () at /usr/lib/libglib-2.0.so.0
#2  0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#3  0x00007f905dfb109f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f9050000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f905df56d6c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f9058141a50, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:69
#5  0x00007f905dd6be52 in QThread::exec() (this=this@entry=0x7f905ee9a060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f905ee1fae8 in QDBusConnectionManager::run() (this=0x7f905ee9a060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at qdbusconnection.cpp:179
#7  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x7f905ee9a060 <(anonymous namespace)::Q_QGS__q_manager::innerFunction()::holder>) at thread/qthread_unix.cpp:329
#8  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 3 (Thread 0x7f901affd640 (LWP 39231)):
#0  0x00007f905d1bc8ca in __futex_abstimed_wait_common64 () at /usr/lib/libpthread.so.0
#1  0x00007f905d1b6270 in pthread_cond_wait@@GLIBC_2.3.2 () at /usr/lib/libpthread.so.0
#2  0x00007f905dd730bc in QWaitConditionPrivate::wait(QDeadlineTimer) (deadline=..., deadline=..., this=0x564aaf2a8e50) at thread/qwaitcondition_unix.cpp:146
#3  QWaitCondition::wait(QMutex*, QDeadlineTimer) (this=this@entry=0x564aaf2a8cd8, mutex=mutex@entry=0x564aaf2a8cd0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#4  0x00007f905fa6b017 in QSGRenderThreadEventQueue::takeEvent(bool) (wait=true, this=0x564aaf2a8cc8) at /usr/include/qt/QtCore/qdeadlinetimer.h:68
#5  QSGRenderThread::processEventsAndWaitForMore() (this=this@entry=0x564aaf2a8c30) at /usr/src/debug/qtdeclarative/src/quick/scenegraph/qsgthreadedrenderloop.cpp:936
#6  0x00007f905fa6d56b in QSGRenderThread::run() (this=0x564aaf2a8c30) at /usr/src/debug/qtdeclarative/src/quick/scenegraph/qsgthreadedrenderloop.cpp:1053
#7  0x00007f905dd6d02f in QThreadPrivate::start(void*) (arg=0x564aaf2a8c30) at thread/qthread_unix.cpp:329
#8  0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#9  0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6

Thread 2 (Thread 0x7f9058c63a80 (LWP 39207)):
#0  0x00007f905d9aeb2f in poll () at /usr/lib/libc.so.6
#1  0x00007f905f68b8aa in poll (__timeout=1000, __nfds=1, __fds=0x7ffdec88e318) at /usr/include/bits/poll2.h:47
#2  pollDrKonqiSocket (sockfd=3, pid=39333) at /usr/src/debug/kcrash-5.88.0/src/kcrash.cpp:852
#3  KCrash::startProcess(int, char const**, bool) (argc=argc@entry=21, argv=argv@entry=0x7ffdec88e438, waitAndExit=waitAndExit@entry=true) at /usr/src/debug/kcrash-5.88.0/src/kcrash.cpp:714
#4  0x00007f905f68c360 in KCrash::defaultCrashHandler(int) (sig=11) at /usr/src/debug/kcrash-5.88.0/src/kcrash.cpp:610
#5  0x00007f905d8f7da0 in <signal handler called> () at /usr/lib/libc.so.6
#6  0x00007f903198ee57 in flatpak_installed_ref_get_appdata_version () at /usr/lib/libflatpak.so.0
#7  0x00007f9031a36886 in FlatpakResource::versionString() (this=0x564ab57ee590) at /usr/src/debug/discover-5.23.3/libdiscover/backends/FlatpakBackend/FlatpakResource.cpp:611
#8  0x00007f905fe192a4 in AbstractResource::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/build/libdiscover/DiscoverCommon_autogen/3YJK5W5UP7/moc_AbstractResource.cpp:399
#9  0x00007f905ea71f0c in QQmlPropertyData::readProperty(QObject*, void*) const (property=0x7ffdec88ef60, target=<optimized out>, this=0x564aaed35c28) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../qtdeclarative/src/qml/qml/qqmlpropertydata_p.h:357
#10 loadProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData const&) (v4=0x564aae18f1f0, object=0x564ab57ee590, property=...) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:156
#11 0x00007f905ea731bb in QV4::QObjectWrapper::virtualResolveLookupGetter(QV4::Object const*, QV4::ExecutionEngine*, QV4::Lookup*) (object=0x7f904f0c9b50, engine=0x564aae18f1f0, lookup=0x564ab7e559e0) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:883
#12 0x00007f905ea92499 in QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffdec88f210, engine=0x564aae18f1f0, code=0x7f904c5669ca ";\017\001") at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4vme_moth.cpp:638
#13 0x00007f905ea96dbf in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffdec88f210, engine=engine@entry=0x564aae18f1f0) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4vme_moth.cpp:463
#14 0x00007f905ea290df in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x564ab7dc2cd0, thisObject=<optimized out>, argv=argv@entry=0x7f904f0c9b40, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4function.cpp:69
#15 0x00007f905ebb4f36 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x564ab806a610, callData=0x7f904f0c9b10, isUndefined=isUndefined@entry=0x7ffdec88f3df) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmljavascriptexpression.cpp:212
#16 0x00007f905ebbb1c5 in QQmlBinding::evaluate(bool*) (this=this@entry=0x564ab806a610, isUndefined=isUndefined@entry=0x7ffdec88f3df) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../qtdeclarative/src/qml/jsruntime/qv4jscall_p.h:95
#17 0x00007f905ebbf458 in QQmlNonbindingBinding::doUpdate(QQmlJavaScriptExpression::DeleteWatcher const&, QFlags<QQmlPropertyData::WriteFlag>, QV4::Scope&) (this=0x564ab806a610, watcher=..., flags=..., scope=...) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlbinding.cpp:254
#18 0x00007f905ebbd164 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) (this=0x564ab806a610, flags=...) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlbinding.cpp:194
#19 0x00007f905ea7230c in QQmlData::flushPendingBinding(QObject*, QQmlPropertyIndex) (propertyIndex=..., o=0x564ab8069830) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../qtdeclarative/src/qml/qml/qqmldata_p.h:421
#20 QV4::QObjectWrapper::getProperty(QV4::ExecutionEngine*, QObject*, QQmlPropertyData*) (engine=0x564aae18f1f0, object=0x564ab8069830, property=0x7f90440f7b18) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:236
#21 0x00007f905ea72d24 in QV4::QObjectWrapper::getQmlProperty(QV4::ExecutionEngine*, QQmlContextData*, QObject*, QV4::String*, QV4::QObjectWrapper::RevisionMode, bool*, QQmlPropertyData**) (engine=engine@entry=0x564aae18f1f0, qmlContext=qmlContext@entry=0x564ab3ede7e0, object=object@entry=0x564ab8069830, name=0x7f904f0c9b00, revisionMode=revisionMode@entry=QV4::QObjectWrapper::CheckRevision, hasProperty=hasProperty@entry=0x7ffdec88f668, property=0x7ffdec88f670) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:388
#22 0x00007f905ea4e616 in QV4::QQmlContextWrapper::getPropertyAndBase(QV4::QQmlContextWrapper const*, QV4::PropertyKey, QV4::Value const*, bool*, QV4::Value*, QV4::Lookup*) (resource=<optimized out>, id=..., receiver=<optimized out>, hasProperty=0x7ffdec88f6e7, base=0x0, lookup=0x564ab7e558c0) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qmlcontext.cpp:285
#23 0x00007f905ea4ef74 in QV4::QQmlContextWrapper::resolveQmlContextPropertyLookupGetter(QV4::Lookup*, QV4::ExecutionEngine*, QV4::Value*) (l=0x564ab7e558c0, engine=0x564aae18f1f0, base=0x0) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qmlcontext.cpp:481
#24 0x00007f905ea919c7 in QV4::Moth::VME::interpret(QV4::CppStackFrame*, QV4::ExecutionEngine*, char const*) (frame=0x7ffdec88f8d0, engine=0x564aae18f1f0, code=0x7f904c56691d ";\n\001") at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4vme_moth.cpp:585
#25 0x00007f905ea96dbf in QV4::Moth::VME::exec(QV4::CppStackFrame*, QV4::ExecutionEngine*) (frame=frame@entry=0x7ffdec88f8d0, engine=engine@entry=0x564aae18f1f0) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4vme_moth.cpp:463
#26 0x00007f905ea290df in QV4::Function::call(QV4::Value const*, QV4::Value const*, int, QV4::ExecutionContext const*) (this=this@entry=0x564ab7dc2f50, thisObject=<optimized out>, argv=argv@entry=0x7f904f0c9a70, argc=<optimized out>, context=<optimized out>) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4function.cpp:69
#27 0x00007f905ebb4f36 in QQmlJavaScriptExpression::evaluate(QV4::CallData*, bool*) (this=this@entry=0x564ab806a6a0, callData=0x7f904f0c9a40, isUndefined=isUndefined@entry=0x7ffdec88fa9f) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmljavascriptexpression.cpp:212
#28 0x00007f905ebbb1c5 in QQmlBinding::evaluate(bool*) (this=this@entry=0x564ab806a6a0, isUndefined=isUndefined@entry=0x7ffdec88fa9f) at ../../include/QtQml/5.15.2/QtQml/private/../../../../../../qtdeclarative/src/qml/jsruntime/qv4jscall_p.h:95
#29 0x00007f905ebbf458 in QQmlNonbindingBinding::doUpdate(QQmlJavaScriptExpression::DeleteWatcher const&, QFlags<QQmlPropertyData::WriteFlag>, QV4::Scope&) (this=0x564ab806a6a0, watcher=..., flags=..., scope=...) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlbinding.cpp:254
#30 0x00007f905ebbd164 in QQmlBinding::update(QFlags<QQmlPropertyData::WriteFlag>) (this=0x564ab806a6a0, flags=...) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlbinding.cpp:194
#31 0x00007f905ebca943 in QQmlObjectCreator::finalize(QQmlInstantiationInterrupt&) (this=0x564ab3ed73c0, interrupt=...) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlobjectcreator.cpp:1394
#32 0x00007f905eb591dd in QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) (state=0x564ab3edf688, enginePriv=0x564aae191a40) at /usr/include/qt/QtCore/qscopedpointer.h:116
#33 QQmlComponentPrivate::complete(QQmlEnginePrivate*, QQmlComponentPrivate::ConstructionState*) (enginePriv=0x564aae191a40, state=0x564ab3edf688) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlcomponent.cpp:983
#34 0x00007f905eb5b883 in QQmlComponentPrivate::completeCreate() (this=this@entry=0x564ab3edf600) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlcomponent.cpp:1079
#35 0x00007f905eb5ccb4 in QQmlComponent::createObject(QQmlV4Function*) (this=<optimized out>, args=0x7ffdec88ff50) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlcomponent.cpp:1491
#36 0x00007f905eb5d59b in QQmlComponent::qt_metacall(QMetaObject::Call, int, void**) (this=0x564ab5751870, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0x7ffdec88ff70) at .moc/moc_qqmlcomponent.cpp:231
#37 0x00007f905eb99c9e in QQmlObjectOrGadget::metacall(QMetaObject::Call, int, void**) const (this=this@entry=0x7ffdec88fed0, type=type@entry=QMetaObject::InvokeMetaMethod, index=<optimized out>, argv=argv@entry=0x7ffdec88ff70) at /usr/src/debug/qtdeclarative/src/qml/qml/qqmlobjectorgadget.cpp:51
#38 0x00007f905ea7714d in QV4::QObjectMethod::callInternal(QV4::Value const*, QV4::Value const*, int) const (this=<optimized out>, thisObject=<optimized out>, argv=<optimized out>, argc=<optimized out>) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4qobjectwrapper.cpp:2125
#39 0x00007f905eaa5baa in QV4::FunctionObject::call(QV4::Value const*, QV4::Value const*, int) const (argc=2, argv=0x7f904f0c9978, thisObject=0x7f904f0c9958, this=0x7ffdec890008) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4functionobject_p.h:202
#40 QV4::Runtime::CallPropertyLookup::call(QV4::ExecutionEngine*, QV4::Value const&, unsigned int, QV4::Value*, int) (engine=0x564aae18f1f0, base=..., index=<optimized out>, argv=0x7f904f0c9978, argc=2) at /usr/src/debug/qtdeclarative/src/qml/jsruntime/qv4runtime.cpp:1460
#41 0x00007f904c7407c0 in  ()
#42 0x0000000000000000 in  ()

Thread 1 (Thread 0x7f904d892640 (LWP 39213)):
#0  0x00007f905d8f7d22 in raise () at /usr/lib/libc.so.6
#1  0x00007f905f68c3e0 in KCrash::defaultCrashHandler(int) (sig=11) at /usr/src/debug/kcrash-5.88.0/src/kcrash.cpp:620
#2  0x00007f905d8f7da0 in <signal handler called> () at /usr/lib/libc.so.6
#3  0x00007f905d8f7d22 in raise () at /usr/lib/libc.so.6
#4  0x00007f905d8f7da0 in <signal handler called> () at /usr/lib/libc.so.6
#5  0x00007f905d8f7d22 in raise () at /usr/lib/libc.so.6
#6  0x00007f905c416d8f in g_closure_invoke () at /usr/lib/libgobject-2.0.so.0
#7  0x00007f905c4320ee in  () at /usr/lib/libgobject-2.0.so.0
#8  0x00007f905c433dd9 in g_signal_emit_valist () at /usr/lib/libgobject-2.0.so.0
#9  0x00007f905c434330 in g_signal_emit () at /usr/lib/libgobject-2.0.so.0
#10 0x00007f905c3337d7 in  () at /usr/lib/libgio-2.0.so.0
#11 0x00007f905c70d3e5 in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#12 0x00007f905c761799 in  () at /usr/lib/libglib-2.0.so.0
#13 0x00007f905c70abc1 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#14 0x00007f904e219ebe in  () at /usr/lib/gio/modules/libdconfsettings.so
#15 0x00007f905c73bce1 in  () at /usr/lib/libglib-2.0.so.0
#16 0x00007f905d1b0259 in start_thread () at /usr/lib/libpthread.so.0
#17 0x00007f905d9b95e3 in clone () at /usr/lib/libc.so.6
Comment 1 Aleix Pol 2021-11-24 01:54:35 UTC
Git commit 98aced4c1c3603af530e503e386fe356894fcc94 by Aleix Pol.
Committed on 24/11/2021 at 01:53.
Pushed by apol into branch 'master'.

flatpak: Do not call flatpak function with a nullptr

M  +1    -1    libdiscover/backends/FlatpakBackend/FlatpakJobTransaction.cpp
M  +3    -1    libdiscover/backends/FlatpakBackend/FlatpakResource.cpp

https://invent.kde.org/plasma/discover/commit/98aced4c1c3603af530e503e386fe356894fcc94
Comment 2 Aleix Pol 2021-11-24 01:55:43 UTC
Git commit e36f4d08ea337b8958573754f25acaf218ed7f0b by Aleix Pol Gonzalez, on behalf of Aleix Pol.
Committed on 24/11/2021 at 01:55.
Pushed by apol into branch 'Plasma/5.23'.

flatpak: Do not call flatpak function with a nullptr


(cherry picked from commit 98aced4c1c3603af530e503e386fe356894fcc94)

M  +1    -1    libdiscover/backends/FlatpakBackend/FlatpakJobTransaction.cpp
M  +3    -1    libdiscover/backends/FlatpakBackend/FlatpakResource.cpp

https://invent.kde.org/plasma/discover/commit/e36f4d08ea337b8958573754f25acaf218ed7f0b